{% extends 'base.html.twig' %}

{% block title %}Liste des problèmes{% endblock %}
{% block stylesheets %}
            {{parent()}}
            {{ encore_entry_link_tags('problemList') }}
{% endblock %}
{% block body %}

<div class="problem-list-container">
    <h1>{% trans from 'problemList' %} title {% endtrans %}</h1>

    <table class="table text-light">
        <thead>
            <tr>
                {# <th>Title</th>
                <th>Description</th>
                <th>CreateDate</th>
                <th>StartVote</th>
                <th>EndVote</th>
                <th>State</th>
                <th>Image</th> #}
            </tr>
        </thead>
        <tbody>
        {% for problem in problems %}
            <tr>
                <td><img width="100px" src="{{ asset('uploads/images/' ~ problem.image) }}"/></td>
                {# <td>{{ problem.id }}</td> #}
                <td>{{ problem.title }}</td>
                {# <td>{{ problem.description }}</td> #}
                {# <td>{{ problem.createDate ? problem.createDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ problem.startVote ? problem.startVote|date('Y-m-d H:i:s') : '' }}</td> #}
                {# <td>{{ problem.endVote ? problem.endVote|date('Y-m-d H:i:s') : '' }}</td> #}
                <td>{{ problem.state }}</td>
                <td><label class="problem-list-tag">{% trans  with {'%tag%': problem.tag} from 'problemList'  %} tag {% endtrans %} </label></td>
                <td>
                  <a href="{{ path('problem_show', {'id': problem.id}) }}">></a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <div class="link-create-problem-container">
        {% if is_granted('IS_AUTHENTICATED_FULLY') %}
            <a class="creat-problem-link btn btn-success" href="{{ path('problem_new') }}">Create new</a>
        {% endif %}
    </div>

</div>



    
{% endblock %}

{% block javascripts %}
            {{ encore_entry_script_tags('problemList') }}
{% endblock %}